phrLoadDatabaseString {phreeqc} | R Documentation

## Load a phreeqc database as a string or a list of strings.

### Description

Load the specified string(s) as a database into phreeqc. Returns NULL if successful.

### Usage

    phrLoadDatabaseString(input)

### Arguments

`input` | String containing data to be used as the phreeqc database.

### Details

All previous definitions are cleared.

### Value

This function returns NULL.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Load Database: `phrLoadDatabase`

### Examples

    # this example loads the phreeqc.dat database, turns on the
    # output file and runs ex2 as a string
    phrLoadDatabaseString(phreeqc.dat)
    phrSetOutputFileOn(TRUE)
    if (is.null(phrRunString(ex2))) {
      cat(paste("see ", phrGetOutputFileName(), ".\n", sep = ""))
    }

[Package phreeqc version 3.4.10 Index]